Skip to content
Soljio Docs
Esc
↑↓navigate↵open⌘Jpreview

List the payments recorded against enrollments, with their processor references.

List the payments recorded against enrollments, with their processor references. An organization-scoped read using JSON filter arguments; requires payments.read. Pagination cursors must be reused only with the same organization, operation and filters.

POST/queries/list_enrollment_payments
Authorization
AuthorizationBearer token (soljio_sk_<secret>) · headerrequired

Organization-scoped service token created by an owner/admin. Scope requirements are in x-required-scopes; these are service-token grants, not OAuth scopes. Revoked, expired, unknown and suspended-organization credentials all return 401.

Request body
requiredapplication/json
enrollment_idsstring[]required
Responses
200

Successful read.

dataobject[]required
Show properties
Array of object
enrollment_idstringrequired

Opaque Soljio resource ID.

min length 1
paymentsobject[]required
Show properties
Array of object
amount_minornumberrequired
currencystringrequired
idstringrequired

Opaque Soljio resource ID.

min length 1
methodstringrequired
Show properties
Any of:
string
string
string
string
string
string
string
string
string
string
occurred_atstring<date-time>required
processor_referencestring
statusstringrequired
Show properties
Any of:
string
string
string
string
string
string
string
string
truncatedbooleanrequired
request_idstring<uuid>required
400

invalid_request

errorobjectrequired
Show properties
codestringrequired
Allowed:invalid_request
messagestringrequired
request_idstring<uuid>required
401

unauthorized

errorobjectrequired
Show properties
codestringrequired
Allowed:unauthorized
messagestringrequired
request_idstring<uuid>required
403

forbidden

errorobjectrequired
Show properties
codestringrequired
Allowed:forbidden
messagestringrequired
request_idstring<uuid>required
404

not_found

errorobjectrequired
Show properties
codestringrequired
Allowed:not_found
messagestringrequired
request_idstring<uuid>required
405

method_not_allowed

errorobjectrequired
Show properties
codestringrequired
Allowed:method_not_allowed
messagestringrequired
request_idstring<uuid>required
409

conflict, idempotency_conflict

errorobjectrequired
Show properties
codestringrequired
Allowed:conflictidempotency_conflict
messagestringrequired
request_idstring<uuid>required
413

payload_too_large

errorobjectrequired
Show properties
codestringrequired
Allowed:payload_too_large
messagestringrequired
request_idstring<uuid>required
415

unsupported_media_type

errorobjectrequired
Show properties
codestringrequired
Allowed:unsupported_media_type
messagestringrequired
request_idstring<uuid>required
429

rate_limited

errorobjectrequired
Show properties
codestringrequired
Allowed:rate_limited
messagestringrequired
request_idstring<uuid>required
500

internal_error

errorobjectrequired
Show properties
codestringrequired
Allowed:internal_error
messagestringrequired
request_idstring<uuid>required
Try it
Server
Authorization
Bodyapplication/json
Request
curl -X POST 'https://api.soljio.com/v0/queries/list_enrollment_payments' \
  -H 'Authorization: Bearer YOUR_TOKEN' \
  -H 'Accept: application/json' \
  -H 'Content-Type: application/json' \
  -d '{
  "enrollment_ids": [
    "string"
  ]
}'
Response
{
  "data": [
    {
      "enrollment_id": "string",
      "payments": [
        {
          "amount_minor": 0,
          "currency": "string",
          "id": "string",
          "method": "cash",
          "occurred_at": "2019-08-24T14:15:22Z",
          "processor_reference": "string",
          "status": "pending"
        }
      ],
      "truncated": true
    }
  ],
  "request_id": "266ea41d-adf5-480b-af50-15b940c2b846"
}